import { SmallstackTypeSchema } from "@smallstack/typesystem";
export declare enum DATA_MANIPULATION_ACTION_NAMES {
    DELETE_PROPERTY = "deleteProperty",
    CHANGE_PROPERTY = "changeProperty",
    MOVE_PROPERTY = "moveProperty",
    CONVERT_TO_ARRAY = "convertToArray"
}
export declare const DATA_MANIPULATION_ACTIONS_SCHEMA: {
    [key: string]: SmallstackTypeSchema;
};
export declare function manipulateData(data: any | any[], actions: Array<{
    actionName: DATA_MANIPULATION_ACTION_NAMES;
    propertyName: string;
    newValueType?: string;
    newValue?: any;
    targetPropertyName?: string;
}>): any[];
